Gatana logoGatana Docs
RoutesTeamsTeamidMembers

/teams/{teamId}/members

List the members of a team with their user records. Only organization owners and members of the team can read this

GET
/teams/{teamId}/members
AuthorizationBearer <token>

In: header

Path Parameters

teamId*string

ID of the team

Response Body

application/json

curl -X GET "https://YOUR_ORG_ID.gatana.ai/api/v1/teams/string/members"
{
  "members": [
    {
      "member": {
        "teamId": "string",
        "userId": "string",
        "role": "member",
        "createdAt": "string",
        "updatedAt": "string"
      },
      "user": {
        "id": "string",
        "tenantId": "string",
        "name": "string",
        "email": "[email protected]",
        "role": "member",
        "isSuperAdministrator": true,
        "isDisabled": true,
        "isServiceAccount": true,
        "isInvited": true,
        "profileIds": [
          {
            "tenantId": "string",
            "userId": "string",
            "profileId": "string",
            "isLockedByOrgOwner": true,
            "createdAt": "string",
            "updatedAt": "string"
          }
        ],
        "isScimManaged": true,
        "scimExternalId": "string",
        "createdAt": "string",
        "updatedAt": "string"
      }
    }
  ]
}